nxt

## Interface TransactionProcessor

- All Superinterfaces:
    Observable<java.util.List<? extends Transaction>,TransactionProcessor.Event>

      public interface TransactionProcessor
      extends Observable<java.util.List<? extends Transaction>,TransactionProcessor.Event>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TransactionProcessor.Event`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcast(Transaction transaction)`
    `void` | `clearUnconfirmedTransactions()`
    `Transaction[]` | `getAllBroadcastedTransactions()`
    `DbIterator<? extends Transaction>` | `getAllUnconfirmedTransactions()`
    `DbIterator<? extends Transaction>` | `getAllUnconfirmedTransactions(int from, int to)`
    `DbIterator<? extends Transaction>` | `getAllUnconfirmedTransactions(int from, int to, java.lang.String sort)`
    `DbIterator<? extends Transaction>` | `getAllUnconfirmedTransactions(java.lang.String sort)`
    `Transaction[]` | `getAllWaitingTransactions()`
    `java.util.SortedSet<? extends Transaction>` | `getCachedUnconfirmedTransactions(java.util.List<java.lang.String> exclude)`
    `Transaction` | `getUnconfirmedTransaction(long transactionId)`
    `void` | `processLater(java.util.Collection<? extends Transaction> transactions)`
    `void` | `processPeerTransactions(org.json.simple.JSONObject request)`
    `void` | `rebroadcastAllUnconfirmedTransactions()`
    `void` | `requeueAllUnconfirmedTransactions()`
    `java.util.List<Transaction>` | `restorePrunableData(org.json.simple.JSONArray transactions)`

    - ### Methods inherited from interface nxt.util.Observable

      `addListener, removeListener`

- - ### Method Detail

    - #### getAllUnconfirmedTransactions

          DbIterator<? extends Transaction> getAllUnconfirmedTransactions()

    - #### getAllUnconfirmedTransactions

          DbIterator<? extends Transaction> getAllUnconfirmedTransactions(int from,
                                                                          int to)

    - #### getAllUnconfirmedTransactions

          DbIterator<? extends Transaction> getAllUnconfirmedTransactions(java.lang.String sort)

    - #### getAllUnconfirmedTransactions

          DbIterator<? extends Transaction> getAllUnconfirmedTransactions(int from,
                                                                          int to,
                                                                          java.lang.String sort)

    - #### getUnconfirmedTransaction

          Transaction getUnconfirmedTransaction(long transactionId)

    - #### getAllWaitingTransactions

          Transaction[] getAllWaitingTransactions()

    - #### getAllBroadcastedTransactions

          Transaction[] getAllBroadcastedTransactions()

    - #### clearUnconfirmedTransactions

          void clearUnconfirmedTransactions()

    - #### requeueAllUnconfirmedTransactions

          void requeueAllUnconfirmedTransactions()

    - #### rebroadcastAllUnconfirmedTransactions

          void rebroadcastAllUnconfirmedTransactions()

    - #### broadcast

          void broadcast(Transaction transaction)
                  throws NxtException.ValidationException

      Throws:
        `NxtException.ValidationException`

    - #### processPeerTransactions

          void processPeerTransactions(org.json.simple.JSONObject request)
                                throws NxtException.ValidationException

      Throws:
        `NxtException.ValidationException`

    - #### processLater

          void processLater(java.util.Collection<? extends Transaction> transactions)

    - #### getCachedUnconfirmedTransactions

          java.util.SortedSet<? extends Transaction> getCachedUnconfirmedTransactions(java.util.List<java.lang.String> exclude)

    - #### restorePrunableData

          java.util.List<Transaction> restorePrunableData(org.json.simple.JSONArray transactions)
                                                   throws NxtException.NotValidException

      Throws:
        `NxtException.NotValidException`